sayren Docs
주문 플로우 실행 기록

흐름 실행 기록 하나

없거나 다른 상점 것이면 404 `FLOW_RUN_NOT_FOUND`.

GET
/v1/flow-runs/{runId}

없거나 다른 상점 것이면 404 FLOW_RUN_NOT_FOUND.

Authorization

accessToken
headerAuthorizationBearer <token>

Sayren 계정 토큰(로그인 토큰 또는 개인 액세스 토큰, RFC 9068 JWT)

Path Parameters

runId*string

Header Parameters

X-Store-Id*string

대상 상점 id. 토큰의 상점 범위 밖이면 403 STORE_NOT_GRANTED, 없으면 400 STORE_ID_REQUIRED다

Response Body

성공

application/json
  1. response
meta*
data*
error*|null
curl -X GET 'https://api.sayren.io/v1/flow-runs/string' \  -H 'X-Store-Id: string'
{  "meta": {    "status": 200,    "code": "OK",    "message": "OK",    "isSuccess": true  },  "data": {    "runId": "string",    "orderItemId": "string",    "trigger": {      "property1": null,      "property2": null    },    "status": "string",    "fromState": "string",    "fromLabel": "string",    "toState": "string",    "toLabel": "string",    "path": [      "string"    ],    "error": null,    "startedAt": "string",    "finishedAt": "string",    "steps": [      {        "step": 0,        "block": "string",        "edgeId": "string",        "status": "string",        "output": {          "property1": null,          "property2": null        },        "at": "string"      }    ]  },  "error": null}